This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 502121

Summary: Macro issue with: man 8 isdnctrl_conf
Product: Red Hat Enterprise Linux 5 Reporter: Dave Malcolm <dmalcolm>
Component: isdn4k-utilsAssignee: Ngo Than <than>
Status: CLOSED DEFERRED QA Contact: desktop-bugs <desktop-bugs>
Severity: low Docs Contact:
Priority: low    
Version: 5.3CC: pknirsch, pschiffe
Target Milestone: rcKeywords: ManPageChange
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-26 13:22:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dave Malcolm 2009-05-21 19:44:42 EDT
Description of problem:
"man 8 isdnctrl_conf" is an unusual manpage; 
"gunzip -c /usr/share/man/man8/isdnctrl_conf.8.gz|less" shows the manpage to contain valid-looking troff macros, but the format looks nothing like any of the other manpages on the system: no heading, NAME, SYNOPSIS, DESCRIPTION etc.

The macros don't seem to be properly handled, and the textual content from them is not appearing when rendered by "man".

For example, unzipped the file shows this clause:

.SS Syntax of the configuration file
This syntax will be used for the options
.B readconf
and
.B writeconf.

But this is rendered by "man" as:
"This syntax will be used for the options and"

i.e. the "readconf" and "writeconf" macro args are being dropped

Version-Release number of selected component (if applicable):
isdn4k-utils-3.2-51.el5

How reproducible:
100%; minor issue

Steps to Reproduce:
1. gunzip -c /usr/share/man/man8/isdnctrl_conf.8.gz
2. man 8 isdnctrl_conf
  
Actual results:
Textual content from step 1 appears in step 2, but the macros don't appear to be doing anything useful in step 2.  Doesn't look like a regular manpage.  Much content being dropped from "man" output (see above)

Expected results:
Regular-looking manpage

Additional info:
(Found testing an automated manpage checker, testing all of manpages in RHEL 5.3)
Comment 8 Phil Knirsch 2013-03-26 13:21:50 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat Enterprise
Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.